---
title: SVGUseElement
slug: Web/API/SVGUseElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<h2 id="SVG_use_DOM_interface">SVG use DOM interface</h2>

<p>The <strong><code>SVGUseElement</code></strong> interface corresponds to the {{SVGElement("use")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGGraphicsElement")}} and implements properties from {{domxref("SVGURIReference")}}.</em></p>

<dl>
 <dt>{{domxref("SVGUseElement.x")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("x")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGUseElement.y")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("y")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGUseElement.width")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("width")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGUseElement.height")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("height")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGUseElement.instanceRoot")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGElement")}} corresponding to the instance root of the given element, which is a direct child of the elements shadow root. If the element does not have a shadow tree (for example, because its URI is invalid or because it has been disabled by conditional processing), then getting this attribute returns <code>null</code>.</dd>
 <dt>{{domxref("SVGUseElement.animatedInstanceRoot")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGElement")}} corresponding to the instance root of the given element, which is a direct child of the elements shadow root. If the element does not have a shadow tree (for example, because its URI is invalid or because it has been disabled by conditional processing), then getting this attribute returns <code>null</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent interface, {{domxref("SVGGraphicsElement")}} and implements methods from {{domxref("SVGURIReference")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "struct.html#InterfaceSVGUseElement", "SVGUseElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Redefined the properties <code>instanceRoot</code> and <code>animatedInstanceRoot</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#InterfaceSVGUseElement", "SVGUseElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGUseElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("use")}}</li>
</ul>
